Package com.orbbec.obsensor

## Enum DepthPrecisionLevel

- java.lang.Object
- - java.lang.Enum<DepthPrecisionLevel>
  - - com.orbbec.obsensor.DepthPrecisionLevel

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DepthPrecisionLevel>`

    public enum DepthPrecisionLevel
    extends java.lang.Enum<DepthPrecisionLevel>

depth precision level

The depth precision level does not completely determine the depth unit and real precision, and the influence of the data packaging format needs to be considered. The specific unit can be obtained through getValueScale() of DepthFrame

See Also:
  `DepthFrame.getValueScale()`

### Enum Constant Summary

Enum Constants
`OB_PRECISION_0MM1` 0.1mm
`OB_PRECISION_0MM2` 0.2mm
`OB_PRECISION_0MM4` 0.4mm
`OB_PRECISION_0MM8` 0.8mm
`OB_PRECISION_1MM` 1mm
`OB_PRECISION_COUNT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DepthPrecisionLevel` `get​(int value)` Get the depth precision level corresponding to the specified index
`int` `value()` Get the index corresponding to the depth precision level
`static DepthPrecisionLevel` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DepthPrecisionLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OB_PRECISION_1MM

    public static final DepthPrecisionLevel OB_PRECISION_1MM

1mm

#### OB_PRECISION_0MM8

    public static final DepthPrecisionLevel OB_PRECISION_0MM8

0.8mm

#### OB_PRECISION_0MM4

    public static final DepthPrecisionLevel OB_PRECISION_0MM4

0.4mm

#### OB_PRECISION_0MM1

    public static final DepthPrecisionLevel OB_PRECISION_0MM1

0.1mm

#### OB_PRECISION_0MM2

    public static final DepthPrecisionLevel OB_PRECISION_0MM2

0.2mm

#### OB_PRECISION_COUNT

    public static final DepthPrecisionLevel OB_PRECISION_COUNT

### Method Detail

#### values

    public static DepthPrecisionLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DepthPrecisionLevel c : DepthPrecisionLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DepthPrecisionLevel valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the depth precision level

Returns:
  index value

#### get

    public static DepthPrecisionLevel get​(int value)

Get the depth precision level corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  depth precision level